Package org.apache.sling.cms.core.internal.operations

## Class PropertyHintNodeNameGenerator

- java.lang.Object
- - org.apache.sling.cms.core.internal.operations.PropertyHintNodeNameGenerator

All Implemented Interfaces:
  `NameFilter`, `org.apache.sling.servlets.post.NodeNameGenerator`

    public class PropertyHintNodeNameGenerator
    extends Object
    implements org.apache.sling.servlets.post.NodeNameGenerator, NameFilter

Custom NodeNameGenerator for generating names based on the value of another named property

### Nested Class Summary

Nested Classes
`static interface` `PropertyHintNodeNameGenerator.Config`

### Field Summary

Fields
`static String` `RP_NODE_NAME_PARAM` Optional request parameter specifying a parameter name to use for the name of the newly created node (value is ":nameParam").

### Constructor Summary

Constructors
`PropertyHintNodeNameGenerator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate​(PropertyHintNodeNameGenerator.Config config)`
`String` `filter​(String nodeName)`
`String` `getNodeName​(org.apache.sling.api.SlingHttpServletRequest request, String parentPath, boolean requirePrefix, org.apache.sling.servlets.post.NodeNameGenerator defaultNodeNameGenerator)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RP_NODE_NAME_PARAM

    public static final String RP_NODE_NAME_PARAM

Optional request parameter specifying a parameter name to use for the name of the newly created node (value is ":nameParam").

See Also:
  Constant Field Values

### Constructor Detail

#### PropertyHintNodeNameGenerator

    public PropertyHintNodeNameGenerator()

### Method Detail

#### activate

    public void activate​(PropertyHintNodeNameGenerator.Config config)

#### filter

    public String filter​(String nodeName)

Specified by:
  `filter` in interface `NameFilter`

#### getNodeName

    public String getNodeName​(org.apache.sling.api.SlingHttpServletRequest request,
                              String parentPath,
                              boolean requirePrefix,
                              org.apache.sling.servlets.post.NodeNameGenerator defaultNodeNameGenerator)

Specified by:
  `getNodeName` in interface `org.apache.sling.servlets.post.NodeNameGenerator`